---
slug: yarx
title: Personalized marathon finisher videos with Remotion
image: /img/yarx-image.png
---

import {MuxVideo} from '../src/components/MuxVideo';

[YARX](https://www.yarx.ch/start) is a young and dynamic company, specializing in the development of mobile and web apps. They also provide services for cloud computing and websites.

<MuxVideo muxId="hQodJfIe701qG8AAiaLttVl8SVxo9W012fXHJPIsdVFIg" style={{
  width: '100%'
}} controls muted autoPlay poster="/img/yarx-image.png"/>

<p align="center"><em  style={{fontSize: "0.9em"}}>A personalized video created by YARX. It shows Mark Kangogo, the winner of the Jungfrau Marathon with an astonishing performance.</em></p>

We are talking to founder Raphael Bollinger about how they are using Remotion to allow its clients create personalized videos of people attending sport events.

**Hi Raphael! Tell us about YARX. What are you doing?**

YARX is a startup founded by Andreas and me. We provide software solutions, mainly web applications, to our clients. We have special strengths in the media business. It all started with a project during our time at the university. One of our projects is for a film & photography agency that creates personalized videos for each attendee of events like ski competitions or marathons like the famous Jungfrau Marathon.

**You create personalized videos for hundreds of people attending an event. It seems like a good use case for programmatic videos. What did you use before you came across Remotion?**

We started to do this with FFmpeg. This was a good starting point, we were able to create the personalized clips and add some audio to them, but after a while, our client had more wishes regarding the animations of these videos. With FFmpeg, we were very limited in creating beautiful animations as a video overlay. And this was when we started looking for a tool that matches our requirements. I’m sure during that time I saw a video of Jonny Burger on Twitter where he explained what Remotion is capable of. It seemed to be a solution to the challenge we were facing, and this convinced us to give it a try.

**How does YARX use Remotion in its infrastructure?**

We use Remotion in an unconventional way. Because our backend is built on C#, we had to make a special implementation of Remotion within our existing architecture. When we want to render personalized videos, we start many virtual machines in the background. On these machines we have a C# program running, which calls Remotion as a render engine. This enables us to render videos at a very high speed. Once the videos are rendered, they get pushed to our backend.

**After having Remotion implemented in your stack and already used for client projects. What is your conclusion? What works well and are there any challenges?**

There are no complaints. We didn’t compare it with other solutions, but as far as we are concerned everything works well and as supposed. One could say there is a steep learning curve involved especially when working together with a group of people. But this could also be caused by our unconventional approach I mentioned earlier.

---

_Were you successful using Remotion? Let us know your story at hi@remotion.dev!_
